Subject: Re: bug#32850: 27.0.50; window-swap-states doesn't swap window prev/next-buffers

From: martin rudalics <[email-masked]>
Date: Tue, 13 Nov 2018 10:09:45 +0100

> The x-tabs branch is for X-based builds, and the gtk-tabs branch
 > that Jan implemented is for GTK-based builds.  Both are for the
 > frame-local tab-bars and can't be used for window-local tab-bars.
 > Do you know a solution for window-local tab-bars other than
 > duplicating header-line in each window to provide shelter for tab-bars?

Mine uses atomic windows.  But window-local tab-bars are not really
useful for displaying window configurations anyway (just like
mode-lines are not suited for displaying the battery charge IMHO).

Anyway, the problem with an X-based solution is that we would have to
find a solution for non-X-based systems.  How "much" X-dependency does
x-tabs have?

martin